Package org.eclipse.net4j.util

## Interface Predicate<T>

- All Known Implementing Classes:
    `Predicate.DelegatingPredicate`, `Predicates.ExcludedPredicate`, `Predicates.IncludedPredicate`, `Predicates.UniquePredicate`

      @Deprecated
      public interface Predicate<T>

  Deprecated.
  As of 3.10 use `Predicate`.
  Since:
    3.3
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `Predicate.DelegatingPredicate<T>` | Deprecated. As of 3.10 use `Predicate`.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `apply​(T element)` | Deprecated.

- - ### Method Detail

    - #### apply

          boolean apply​(T element)

      Deprecated.